.hapoel.single-product .site-main {
    padding-top: 0 !important;
}
.hapoel-single-product {
    padding: 40px 0 0;
    background-color: #fff;
    padding-bottom: 100px;
}

.hapoel-single-product:has(+ .related-wrapper .hapoel-slider) {
    padding-bottom: 0;
}

.hapoel.single-product .site-content .col-full {
    background-color: #fff;
}

.related-wrapper {
    overflow-x: clip;
}

.related-wrapper .product_meta {
    display: none;
}

.single-product .content-area {
    width: 100%;
    margin: 0;
}

.hapoel-single-product .quantity {
    display: flex;
    align-items: center;
    width: 120px;
    height: 50px;
    justify-content: center;
    column-gap: 8px;
    border: solid 1px #e9e7f2;
    border-radius: 100px;
    float: unset !important;
}

.hapoel-single-product .quantity .qty.input-text {
    padding: 0;
    width: 25px;
    height: auto;
    border: none;
    box-shadow: none;
    font-size: 18px;
    font-weight: 600;
    color: var(--hapoel-color-throat);
    text-align: center;
    border: none;
    order: 1;
}

.hapoel-single-product .quantity-nav {
    display: contents;
}

.hapoel-single-product .quantity-nav .minus,
.hapoel-single-product .quantity-nav .plus {
    position: relative;
    right: unset;
    top: unset;
    left: unset;
    width: 20px;
    height: 20px;
}

.hapoel-single-product .quantity-nav .minus {
    order: -1;
}

.hapoel-single-product .quantity-nav .plus {
    order: 1;
}

.hapoel-single-product .quantity-nav .minus:before {
    width: 20px;
    height: 20px;
    mask-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='20' height='20' viewBox='0 0 20 20' fill='none'%3E%3Cpath d='M18.3334 9.16602H1.66675V10.8327H18.3334V9.16602Z' fill='black'/%3E%3C/svg%3E");
}

.hapoel-single-product .quantity-nav .plus:before {
    width: 20px;
    height: 20px;
    mask-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='20' height='20' viewBox='0 0 20 20' fill='none'%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M10.8333 0.833984V9.16732H19.1666V10.834H10.8333V19.1673H9.16659V10.834H0.833252V9.16732H9.16659V0.833984H10.8333Z' fill='black'/%3E%3C/svg%3E");
}

.hapoel-single-product .woocommerce-variation-add-to-cart,
.hapoel-single-product .hapoel-add-cart {
    display: flex;
    gap: 12px;
    align-items: center;
}

.hapoel-single-product .add-cart-wrapper {
    display: flex;
    align-items: center;
    gap: 12px;
}

.hapoel-single-product .woocommerce-variation-add-to-cart::before,
.hapoel-single-product .woocommerce-variation-add-to-cart::after {
    display: none !important;
}

.hapoel-single-product .hapoel-add-cart-btn {
    min-width: 175px;
    margin-left: 0;
    height: 100%;
}

.hapoel-single-product .hapoel-add-cart-btn::before,
.hapoel-single-product .hapoel-add-cart-btn::after {
    display: none !important;
}

.hapoel-single-product .ajax_add_to_cart.add_to_cart_button.loading, .single-product div.product form.cart .button.loading {
    color: white !important;
    opacity: 1 !important;
}

.hapoel-single-product .hapoel-add-cart__price {
    margin-inline-end: auto;
}

.hapoel-single-product .summary .onsale,
.hapoel-single-product .sale-item.product-label.type-bubble {
    display: none !important;
}

.hapoel-single-product .product-details-wrapper {
    display: flex;
    align-items: flex-start;
    gap: 50px;
    padding: 0;
}

.hapoel-single-product .woocommerce-product-gallery {
    width: 470px;
    float: unset;
    margin-bottom: 0 !important;
}

.hapoel-single-product .woocommerce-product-gallery .flex-viewport {
    border: solid 1px #e9e7f2;
}

.hapoel-single-product .woocommerce-product-gallery .woocommerce-product-gallery__image {
    aspect-ratio: 468 / 620;
    pointer-events: none;

}

.hapoel-single-product .woocommerce-product-gallery .woocommerce-product-gallery__image a {
    display: flex;
    align-items: center;
    width: 100%;
    height: 100%;
}

.hapoel-single-product .summary {
    flex: 1;
    max-width: calc(100% - 470px - 50px);
    float: unset;
    display: flex;
    flex-direction: column;
}

.hapoel-single-product .product_title {
    padding: 0;
    margin-bottom: 8px;
    font-size: 52px;
    font-weight: 600;
}

.hapoel-single-product p.price {
    float: unset;
    font-size: 32px;
    color: var(--hapoel-color-torch-red);
    font-weight: 600;
}

.hapoel.single-product .variations_form.cart {
    margin: 0;
} 

.hapoel-single-product .variations th,
.hapoel-single-product .variations td {
    text-align: right;
    padding: 0;
}

.hapoel-single-product .variations td {
    margin-bottom: 30px;
}

.hapoel-single-product .variations .value {
    padding: 0 !important;
}

.hapoel-single-product .variations label {
    font-size: 22px;
    line-height: 1.2;
    color: black;
    margin: 0 0 16px;
}

.hapoel-single-product .variations .cgkit-chosen-attribute {
    display: none !important;
}

.hapoel-single-product .woocommerce-product-details__short-description {
    display: none;
}

.hapoel-single-product .cgkit-as-wrap .cgkit-attribute-swatches {
    display: flex;
    align-items: stretch;
    flex-wrap: wrap;
    gap: 12px;
}

.hapoel-single-product .cgkit-as-wrap .cgkit-attribute-swatches .cgkit-attribute-swatch.cgkit-button {
    margin: 0;
    flex: 1;
    min-width: 96px;
    max-width: 200px;
}

.hapoel-single-product .cgkit-as-wrap .cgkit-attribute-swatches .cgkit-attribute-swatch.cgkit-button button.button-fluid {
    max-width: 200px;
    height: 52px;
    padding: 0 24px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 18px;
    line-height: 1.6;
    font-weight: 600;
    color: black;
    border: solid 1px #e9e7f2;
    border-radius: 100px;
    cursor: pointer;
    transition: border-color 0.4s ease;
}

.hapoel-single-product .cgkit-as-wrap .cgkit-attribute-swatches .cgkit-attribute-swatch.cgkit-button button:not(.cgkit-disabled):not(.cgkit-swatch-selected):hover {
    background: transparent;
    border-color: black;
}

.hapoel-single-product .cgkit-as-wrap .cgkit-attribute-swatches .cgkit-attribute-swatch.cgkit-button button.cgkit-swatch-selected {
    background: transparent;
    border-color: var(--hapoel-color-torch-red);
}

.hapoel-single-product  .reset_variations {
    display: none !important;
}

.hapoel-single-product .flex-direction-nav {
    padding: 0 10px;
}

.hapoel-single-product .flex-direction-nav .flex-prev,
.hapoel-single-product .flex-direction-nav .flex-next {
    width: 40px;
    height: 40px;
    visibility: visible !important;
    display: block;
    color: transparent;
    border-radius: 50%;
    background-color: #fff;
    position: relative;
    border: 1px solid var(--hapoel-color-midnight-express);
    transition: 0.4s ease;
}

.hapoel-single-product .flex-direction-nav .flex-prev:hover,
.hapoel-single-product .flex-direction-nav .flex-next:hover { 
    opacity: 0.4;
}

.hapoel-single-product .flex-direction-nav .flex-prev:before,
.hapoel-single-product .flex-direction-nav .flex-next:after {
    content: "";
    position: absolute;
    opacity: 1 !important;
    inset: 0;
    mask-image: url("data:image/svg+xml;charset=utf8,%3Csvg width='24' height='24' viewBox='0 0 24 24' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M16.0002 1.58594L5.58594 12.0002L16.0002 22.4144L17.4144 21.0002L8.41437 12.0002L17.4144 3.00015L16.0002 1.58594Z' fill='black'/%3E%3C/svg%3E");
    mask-repeat: no-repeat;
    mask-position: center;
    mask-size: 24px 24px;
    mask-repeat: no-repeat;
    width: 100%;
    height: 100%;
    right: 0 !important;
    left: 0 !important;
}

.hapoel-single-product .flex-direction-nav .flex-prev:before {
    mask-image: url("data:image/svg+xml;charset=utf8,%3Csvg width='24' height='24' viewBox='0 0 24 24' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M7.99984 1.58594L18.4141 12.0002L7.99984 22.4144L6.58564 21.0002L15.5856 12.0002L6.58564 3.00015L7.99984 1.58594Z' fill='black'/%3E%3C/svg%3E");
    mask-repeat: no-repeat;
    mask-position: center;
    mask-size: 24px 24px;
    mask-repeat: no-repeat;
    width: 100%;
    height: 100%;
}

.hapoel-single-product .woocommerce-product-gallery .flex-control-thumbs {
    display: flex;
    gap: 12px;
}

.hapoel-single-product .flex-control-nav.flex-control-thumbs li {
    margin: 0;
    flex: 1;
    aspect-ratio: 1;
    transition: 0.4s ease;
    border-bottom: solid 1px #f3f2f6;
}

.hapoel-single-product .flex-control-nav.flex-control-thumbs li img {
    width: 100%;
}

.hapoel-single-product .flex-control-nav.flex-control-thumbs li:has(.flex-active) {
    border-bottom: solid 2px var(--hapoel-color-torch-red);
}

.hapoel-product-accordion {
    margin-top: 30px;
    order: 1;
}

.hapoel-accordion__item {
    border-bottom: 1px solid #E9E7F2;
}

.hapoel-accordion__head {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 20px 30px;
    font-size: 22px;
    font-weight: 600;
    cursor: pointer;
}

.hapoel-accordion__icon {
    transition: 0.4s ease;
}

.hapoel-accordion__item.is-open .hapoel-accordion__icon {
    transform: rotate(180deg);
}

.hapoel-accordion__content {
    padding: 0 30px;
    line-height: 1.6;
}

[dir="ltr"] .hapoel-accordion__content * {
    text-align: left !important;
}

.hapoel-accordion__rows {
    display: flex;
    flex-direction: column;
    padding: 0 30px;
}

.hapoel-accordion__row {
    display: flex;
    align-items: center;
    justify-content: space-between;
    font-size: 18px;
    border-bottom: 1px solid #E9E7F2;
    padding: 16px 0;
}

.hapoel-accordion__row:last-child {
    border: none;
}

.hapoel-accordion__label {
    color: #666175;
}

.hapoel-accordion__value {
    font-weight: 600;
}

.hapoel-product-share {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-top: 30px;
}

.hapoel-product-share__icons {
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
    gap: 10px;
}

.hapoel-product-share__btn {
    width: 32px;
    height: 32px;
    transition: 0.4s ease;
    border-radius: 50%;
}

.hapoel-product-share__btn svg {
    width: 100%;
    height: 100%;
    display: block;
    border-radius: 50%;
}

.hapoel-product-share__title {
    font-size: 22px;
    font-weight: 600;
    color: black;
}

.hapoel-product-share__btn:hover {
  box-shadow: 0 6px 18px rgba(0,0,0,.12);
  transform: scale(1.08);

}


/* Auction Product Start */
.hapoel-bid-now__wrap {
    display: flex;
    align-items: center;
    width: auto;
    max-width: 200px;
    padding: 0 20px;
    height: 50px;
    justify-content: center;
    column-gap: 8px;
    border: solid 1px #e9e7f2;
    border-radius: 100px;
}

.hapoel-bid-now__wrap .ans-auction-bid-increment {
    padding: 0;
    width: 25px;
    height: auto;
    border: none;
    box-shadow: none;
    font-size: 18px;
    font-weight: 600;
    color: var(--hapoel-color-throat);
    text-align: center;
}

.hapoel-bid-now__wrap span.dashicons-plus,
.hapoel-bid-now__wrap span.dashicons-minus {
    position: relative;
    cursor: pointer;
    width: 20px;
    height: 20px;
    border: none !important;
    background-color: transparent !important;
}

.hapoel-bid-now {
    margin-bottom: 15px;
}

.logged-in .hapoel-bid-now.ans-auction-bid-now {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
}

.logged-in .ans-auction-buy-now-price {
    display: block !important;
}

.ans-auction-buy-now-price {
    display: none !important;
}

.hapoel-bid-now__meta {
    width: 100%;
}

.hapoel-bid-now__current {
    display: flex;
    gap: 10px;
}

.hapoel-bid-now__value span {
    float: none !important;
    width: unset !important;
    height: unset !important;
    background-color: transparent !important;
    border: none !important;
    line-height: 1 !important;
}

.hapoel-bid-now .ans-auction-bid {
    border: none !important;
    border-radius: 70px !important;
    background-color: var(--hapoel-color-torch-red) !important;
    font-family: "RAG Sans", sans-serif;
    font-size: 18px !important;
    font-weight: 600 !important;
    line-height: 1.6 !important;
    color: white !important;
    padding: 0 20px !important;
    min-height: 50px;
    margin: 0 !important;
}

.ans-auction-date-ranges {
    margin-bottom: 15px;
}


.hapoel-bid-now__wrap .ans-auction-bid-increment {
    width: max-content !important;
    max-width: 100px !important;
    border: none !important;
    height: auto !important;
}

.hapoel-bid-now__wrap .dashicons-minus::before {
    width: 20px;
    height: 20px;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%,-50%);
    background: #333;
    -webkit-mask-position: center;
    mask-position: center;
    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;
    -webkit-mask-size: contain;
    mask-size: contain;
    mask-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='20' height='20' viewBox='0 0 20 20' fill='none'%3E%3Cpath d='M18.3334 9.16602H1.66675V10.8327H18.3334V9.16602Z' fill='black'/%3E%3C/svg%3E");
}


.hapoel-bid-now__wrap .dashicons-plus::before {
   width: 20px;
    height: 20px;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%,-50%);
    background: #333;
    -webkit-mask-position: center;
    mask-position: center;
    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;
    -webkit-mask-size: contain;
    mask-size: contain;
    mask-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='20' height='20' viewBox='0 0 20 20' fill='none'%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M10.8333 0.833984V9.16732H19.1666V10.834H10.8333V19.1673H9.16659V10.834H0.833252V9.16732H9.16659V0.833984H10.8333Z' fill='black'/%3E%3C/svg%3E");
}


.ans-delete-auction-bid {
    font-size: 14px;
    border: none !important;
    color: var(--hapoel-color-torch-red) !important;
    text-decoration: underline !important;
    padding: 0 !important;
}


.ans-delete-auction-bid:hover {
    color: var(--hapoel-color-blood-red) !important;
}

.ans-bid-logs-wrapper {
    overflow: auto;
}

.ans-bid-logs-wrapper table {
    width: 100%;
    min-width: 700px;
}

.hapoel:has(.product-type-auction) .woocommerce-tabs .reviews_tab {
    display: none;
}

.hapoel:not(:has(.product-type-auction)) .woocommerce-tabs {
  display: none !important;
}

.ans-bid-logs-wrapper table th,
.ans-bid-logs-wrapper table td {
    padding: 10px;
    font-size: 16px;
}

.ans-bid-logs-wrapper .hapoel-action-text {
    font-size: 14px;
}

:dir(rtl) .ans-bid-logs-wrapper table th,
:dir(rtl) .ans-bid-logs-wrapper table td {
    text-align: right;
}

.ans-auction-item-condition {
    background-color: #9f91c910;
    border: solid 1px #e9e7f2;
    border-radius: 100px;
    padding: 0 10px !important;
    width: max-content !important;
    max-width: 100%;
    font-family: "RAG Sans", sans-serif;
    font-size: 14px;
    font-weight: 400;
    line-height: 1.6;
    color: var(--hapoel-color-throat);
}

.ans-auction-type-message {
    display: none !important;
}

.ans-auction-date-ranges .ans-auction-countdown-timer {
    display: flex !important;
}

.ans-auction-countdown-timer .ans-auction-timer {
    float: unset !important;
    border: 1px solid #E9E7F2;
    padding: 5px !important;
}

:dir(ltr).ans-auction-countdown-timer .ans-auction-timer {
    border-right: none;
}

:dir(ltr).ans-auction-countdown-timer .ans-auction-timer:last-child {
    border-right: 1px solid #E9E7F2;
}

:dir(rtl).ans-auction-countdown-timer .ans-auction-timer {
    border-left: none;
}

:dir(rtl).ans-auction-countdown-timer .ans-auction-timer:last-child {
    border-left: 1px solid #E9E7F2;
}

.ans-auction-highest-bidder-amount .woocommerce-Price-amount {
    color: var(--hapoel-color-torch-red);
    font-weight: 600;
}

.ans_auction_overview .no-bids {
    color: #bfbec3;
}

/* Auction Product End */


@media screen and (max-width: 1199.9px) { 
    .ans-auction-product-summary {
        padding: 0 10px;
    }

    .hapoel-single-product .product-details-wrapper {
        flex-direction: column;
        gap: 35px;
    }

    .hapoel-single-product .hapoel-container {
        padding: 0;
    }

    .hapoel-single-product .woocommerce-product-gallery {
        width: 100%;
    }

    .hapoel-single-product .summary {
        width: 100%;
        max-width: 100%;
    }

    .hapoel-single-product h1.product_title {
        font-size: 38px;
        padding: 0 10px;
    }

    .hapoel-single-product .cgkit-as-wrap .cgkit-attribute-swatches {
        width: max-content;
    }

    .hapoel-single-product .cgkit-as-wrap {
        width: 100%;
        overflow: auto;
        padding: 0 10px 10px;
    }

    .hapoel-single-product .variations,
    .hapoel-single-product .variations tbody,
    .hapoel-single-product .variations tr,
    .hapoel-single-product .variations td {
        display: block !important;
    }

    .hapoel-single-product .variations .label {
        padding: 0 10px 10px;
    }

    .hapoel-single-product .woocommerce-variation-add-to-cart,
    .hapoel-single-product .hapoel-add-cart {
        padding: 0 10px;
    }

    .hapoel-product-accordion {
        padding: 0 10px;
    }

    .hapoel-single-product ul.flex-direction-nav {
        padding: 0 10px;
    }

    .hapoel-single-product .flex-control-thumbs {
        padding: 0 10px;
    }

    .hapoel-customizer-wrapper {
        padding: 0 10px;
    }

    .hapoel-product-accordion {
        margin-top: 40px;
    }
}



@media screen and (max-width: 767.9px) {
    .hapoel-single-product {
        padding: 25px 0 50px;
    }

    .hapoel-single-product:has(+ .related-wrapper .hapoel-slider) {
        padding-bottom: 0;
    }

    .single-product .site-content .col-full {
        padding: 0;
    }

    .hapoel-single-product .woocommerce-variation-add-to-cart, .hapoel-single-product .hapoel-add-cart {
        flex-direction: column;
        gap: 24px;
    }

    .hapoel-single-product .hapoel-add-cart__price {
        margin-left: unset;
        font-size: 32px;
    }

    .hapoel-single-product .add-cart-wrapper {
        width: 100%;
    }

    .hapoel-single-product .hapoel-add-cart-btn  {
        flex: 1;
        width: max-content;
    }

    .hapoel-product-accordion .hapoel-container {
        padding: 0;
    }
}

/* Auctions Styles */

.hapoel .product .woocommerce-product-gallery__wrapper {
    border: solid 1px #e9e7f2;
}

.hapoel .product .flex-viewport > .woocommerce-product-gallery__wrapper {
    border: none;
}

.hapoel .ans-auction-countdown-timer .ans-auction-timer {
    padding-top: 15px !important;
    padding-bottom: 15px !important;
}

.hapoel .ans-auction-countdown-timer .ans-auction-timer > span {
    font-size: 24px !important;
}

.hapoel .hapoel-bid-now__current .hapoel-bid-now__label {
    color: var(--hapoel-color-throat);
    font-size: 20px;
    vertical-align: middle;
}

.hapoel .ans-bid-logs-wrapper {
    padding: 0 30px;
    margin-bottom: 30px;
    width: 100%;
}

.hapoel .ans-bid-logs-wrapper table {
    min-width: 0;
}

@media screen and (max-width: 767.9px) {
    .hapoel .ans-bid-logs-wrapper table {
        min-width: 700px;
    }
}

.hapoel .ans-bid-logs-table .woocommerce-Price-amount {
    font-weight: 600;
    color: var(--hapoel-color-torch-red);
}

.hapoel .ans-bid-logs-table .hapoel-action-text {
    color: #bfbec3;
}

.hapoel .product-type-simple .entry-summary .stock {
    display: none;
}

:dir(ltr) .hapoel .hapoel-single-product .variations label {
    text-align: left;
}